Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class CertPathValidatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  java.security.cert.CertPathValidatorException

All Implemented Interfaces:
  Serializable

    public class CertPathValidatorException

extends GeneralSecurityException

An exception indicating one of a variety of problems encountered when validating a certification path.

A `CertPathValidatorException` provides support for wrapping exceptions. The `getCause` method returns the throwable, if any, that caused this exception to be thrown.

A `CertPathValidatorException` may also include the certification path that was being validated when the exception was thrown and the index of the certificate in the certification path that caused the exception to be thrown. Use the `getCertPath` and `getIndex` methods to retrieve this information.

Concurrent Access

Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

Since:
  1.4
See Also:
  `CertPathValidator`, Serialized Form

Constructor Summary
`CertPathValidatorException()` Creates a `CertPathValidatorException` with no detail message.
`CertPathValidatorException(String msg)` Creates a `CertPathValidatorException` with the given detail message.
`CertPathValidatorException(String msg, Throwable cause)` Creates a `CertPathValidatorException` with the specified detail message and cause.
`CertPathValidatorException(String msg, Throwable cause, CertPath certPath, int index)` Creates a `CertPathValidatorException` with the specified detail message, cause, certification path, and index.
`CertPathValidatorException(Throwable cause)` Creates a `CertPathValidatorException` that wraps the specified throwable.

Method Summary
`CertPath` | `getCertPath()` Returns the certification path that was being validated when the exception was thrown.
`int` | `getIndex()` Returns the index of the certificate in the certification path that caused the exception to be thrown.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertPathValidatorException

    public CertPathValidatorException()

  Creates a `CertPathValidatorException` with no detail message.

### CertPathValidatorException

    public CertPathValidatorException(String msg)

  Creates a `CertPathValidatorException` with the given detail message. A detail message is a `String` that describes this particular exception.

  Parameters:
    `msg` - the detail message

### CertPathValidatorException

    public CertPathValidatorException(Throwable cause)

  Creates a `CertPathValidatorException` that wraps the specified throwable. This allows any exception to be converted into a `CertPathValidatorException`, while retaining information about the wrapped exception, which may be useful for debugging. The detail message is set to (`cause==null ? null : cause.toString()` ) (which typically contains the class and detail message of cause).

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### CertPathValidatorException

    public CertPathValidatorException(String msg,
                                      Throwable cause)

  Creates a `CertPathValidatorException` with the specified detail message and cause.

  Parameters:
    `msg` - the detail message
    `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### CertPathValidatorException

    public CertPathValidatorException(String msg,
                                      Throwable cause,
                                      CertPath certPath,
                                      int index)

  Creates a `CertPathValidatorException` with the specified detail message, cause, certification path, and index.

  Parameters:
    `msg` - the detail message (or `null` if none)
    `cause` - the cause (or `null` if none)
    `certPath` - the certification path that was in the process of being validated when the error was encountered
    `index` - the index of the certificate in the certification path that caused the error (or -1 if not applicable). Note that the list of certificates in a `CertPath` is zero based.
  Throws:
    `IndexOutOfBoundsException` - if the index is out of range `(index < -1 || (certPath != null && index >= certPath.getCertificates().size())`
    `IllegalArgumentException` - if `certPath` is `null` and `index` is not -1

Method Detail

### getCertPath

    public CertPath getCertPath()

  Returns the certification path that was being validated when the exception was thrown.

  Returns:
    the `CertPath` that was being validated when the exception was thrown (or `null` if not specified)

### getIndex

    public int getIndex()

  Returns the index of the certificate in the certification path that caused the exception to be thrown. Note that the list of certificates in a `CertPath` is zero based. If no index has been set, -1 is returned.

  Returns:
    the index that has been set, or -1 if none has been set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.